/*
 *	C SUPPORT FUNCTIONS
 */

#include  <stdio.h>
#include  <stdlib.h>

#include   <sndfile.h>

#include  "support.h"

/* --------------------------------------------------------------- */
int display_sf_info(SF_INFO *psf, char *text)
{

fprintf(stderr, "    +-- sf info [%s]    %p\n", text, psf);

fprintf(stderr, "    |   samplerate          %d\n", psf->samplerate);
fprintf(stderr, "    |   channels            %d\n", psf->channels);
fprintf(stderr, "    |   frames              %ld\n", psf->frames);
fprintf(stderr, "    |   format              0x%x\n", psf->format);

return 0;
}
/* --------------------------------------------------------------- */

void print_version(char *msg)
{
fprintf(stderr, "=== %s compiled %s, %s\n",	\
			msg, __DATE__, __TIME__);
}
/* --------------------------------------------------------------- */
